aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-xfree86-type1
diff options
context:
space:
mode:
Diffstat (limited to 'main/font-xfree86-type1')
-rw-r--r--main/font-xfree86-type1/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/main/font-xfree86-type1/APKBUILD b/main/font-xfree86-type1/APKBUILD
new file mode 100644
index 0000000000..42b22285be
--- /dev/null
+++ b/main/font-xfree86-type1/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-xfree86-type1
+pkgver=1.0.1
+pkgrel=2
+pkgdesc="X.org xfree86 Type1 fonts"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install=
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/Type1
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
+}
+
+md5sums="d7e965776c7f0c30b0f09742176fb77a font-xfree86-type1-1.0.1.tar.bz2"